CHECK v.3.2-->                                                          CARS001
C      subroutine carslt(aacod3, aacod1, seqcod, seqbcd, mcangs, cadsts,CARS002
C     +                  brksym, altcod, aastd,  brknam, headln, hedlen,CARS003
C     +                  autsum, hetcod, oois,   seqlen)                CARS004
      subroutine carslt(aacod3, aacod1, seqcod, hetcod, seqlen)         CARS001
CHECK v.3.2<--                                                          CARS002
c                                                                       CARS003
c     results for c-alpha only files. these are placed in a differently CARS004
c     named version of the output file                                  CARS005
c                                                                       CARS006
      include 'sstruc.par'                                              CARS007
CHECK v.3.2-->                                                          CARS008
C      character aacod3*(abetsz*3), aacod1*(abetsz), seqbcd(maxres)*6,  CARS009
C     +          altcod(maxres)*1, aastd(maxres)*1, headln*132,         CARS010
C     +          brknam*(fnamln), brksym(maxres)*1, autsum(maxres)*1,   CARS011
C     +          hetcod*63                                              CARS012
C      integer   seqcod(maxres), hedlen, seqlen, oois(2,maxres)         CARS013
C      real      mcangs(nmnang,maxres), cadsts(11,maxres)               CARS014
      character aacod3*(abetsz*3), aacod1*(abetsz),                     CARS015
     &          hetcod*63                                               CARS016
      integer   seqcod(maxres), seqlen                                  CARS017
CHECK v.3.2<--                                                          CARS018
                                                                        CARS019
CHECK v.2.1-->                                                          CARS020
C      integer   hednum, nxres, staa, nxang, nxdis                      CARS021
      integer   hednum, nxres, staa                                     CARS022
CHECK v.2.1<--                                                          CARS023
      character aa3*3, aa1*1                                            CARS024
                                                                        CARS025
      hednum = 3                                                        CARS026
CHECK v.3.2-->                                                          CARS027
C      call hedset(brknam, headln, hedlen, hednum, seqlen)              CARS028
CHECK v.3.2<--                                                          CARS029
      do 1000, nxres = 1, seqlen                                        CARS030
      if (seqcod(nxres) .le. abetsz) then                               CARS031
         staa = (seqcod(nxres) - 1) * 3 + 1                             CARS032
         aa3 = aacod3(staa:staa+2)                                      CARS033
         aa1 = aacod1(seqcod(nxres):seqcod(nxres))                      CARS034
      else                                                              CARS035
         staa = (seqcod(nxres) - abetsz - 1) * 3 + 1                    CARS036
         aa3 = hetcod(staa:staa+2)                                      CARS037
         aa1 = '-'                                                      CARS038
      end if                                                            CARS039
                                                                        CARS040
CHECK v.1.0-->                                                          CARS041
C      write(outfi,300) nxres, brksym(nxres), seqbcd(nxres),            CARS042
C     +      altcod(nxres), aa3, aa1, aastd(nxres), autsum(nxres),      CARS043
C     +      (mcangs(nxang,nxres), nxang = chiral,kappa),               CARS044
C     +      (cadsts(nxdis,nxres), nxdis = 1,11),                       CARS045
C     +      oois(ooi1,nxres), oois(ooi2,nxres)                         CARS046
C  300 format(x,i4,a1,a6,x,a1,x,a3,3(x,a1),x,f6.1,x,f5.1,               CARS047
C     +       11(x,f4.1),2(x,i2))                                       CARS048
CHECK v.1.0<--                                                          CARS049
                                                                        CARS050
 1000 continue                                                          CARS051
      call msgprt                                                       CARS052
                                                                        CARS053
CHECK v.1.0-->                                                          CARS054
C      write(outfi,*) char(12)                                          CARS055
CHECK v.1.0<--                                                          CARS056
                                                                        CARS057
      end                                                               CARS058
